package info.aspirecn.cloud.yysj.entity.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 司机响应信息
 *
 * @author baizehui
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class DriverInfoDetailsResponse {

   
	@ApiModelProperty(value = "用户id")
	private String userId;
	@ApiModelProperty(value = "司机姓名")
	private String driverName;
	@ApiModelProperty(value = "身份证号")
	private String drivingLicense;
	@ApiModelProperty(value = "驾驶证号")
	private String driverLicenseNumber;
	@ApiModelProperty(value = "准驾车型")
	private String vehicleClass;
	@ApiModelProperty(value = "驾驶证发证机关")
	private String issuingOrganizations;
	@ApiModelProperty(value = "从业资格证号")
	private String qualificationCertificate;
	@ApiModelProperty(value = "驾驶证有效期自")
	private String validPeriodFrom;
	@ApiModelProperty(value = "驾驶证有效期至")
	private String validPeriodTo;
	@ApiModelProperty(value = "手机号")
	private String telephone;
	@ApiModelProperty(value = "备注")
	private String remark;
 
}
