package info.aspirecn.cloud.yysj.entity.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 司机响应信息
 *
 * @author baizehui
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class DriverInfoResponse {
	@ApiModelProperty(value = "用户id")
	private String userId;
	@ApiModelProperty(value = "司机姓名")
	private String driverName;
	@ApiModelProperty(value = "身份证号")
	private String drivingLicense;
	@ApiModelProperty(value = "驾驶证号")
	private String driverLicenseNumber;
	@ApiModelProperty(value = "从业资格证号")
	private String qualificationCertificate;
    @ApiModelProperty(value = "身份证核验结果")
    private String idCardResult;
    @ApiModelProperty(value = "从业资格证核验结果")
    private String qualificationCardResult;
    @ApiModelProperty(value = "驾驶证核验结果")
    private String driveCardResult;
    @ApiModelProperty(value = "请求时间")
    private String requestTime;

}
